Validate Partition

post

/applications/{applicationName}/databases/{databaseName}/partitions/validate

Validates a new or existing partition.

Request

Path Parameters
Back to Top

Response

204 Response

OK

Partition validated successfully.

400 Response

Bad Request

Failed to validate partition.

422 Response

Unprocessable Entity

Partition validated with warnings.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to validate a partition on the current target cube.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command to Validate a Transparent Partition

In the following REST API example, the target cube, P_Market.Demo, is based on the Essbase gallery sample Demo.Basic. The Market dimension of P_Market.Demo is comprised of transparent partitions to various source cubes (one for each individual market region: Boston, Dallas, Chicago, and 7 other cities).

call properties.bat
curl -X POST "https://myserver.example.com:9001/essbase/rest/v1/applications/P_Market/databases/Demo/partitions/validate" -H "accept: application/json" -H "Content-Type: application/json" --data-binary "@./input_partitioninfo.json" -u %User%:%Password%

Sample JSON Payload

The cURL example above delivers the following JSON payload in input_partitioninfo.json.

{
      "type" : "TRANSPARENT",
          "isNew": true,
          "sourceInfo": {
              "serverName" : "https://myserver.example.com:9001/essbase/agent",
              "applicationName" : "P_Boston",
              "databaseName" : "Demo"
           },
          "targetInfo": {
              "serverName" : "https://myserver.example.com:9001/essbase/agent",
              "applicationName" : "P_Market",
              "databaseName" : "Demo"
           },
          "areas": [ {
              "sourceArea" : "\"Actual\", \"Budget\"",
              "targetArea" : "\"Actual\", \"Budget\", \"Boston\""
           } ],
          "mappings": [ {
              "targetMember" : "\"Boston\""
           } ]
}

Example of Response Body

If the partition or the REST call is invalid, the response body contains the reason.

For example, if a required parameter is missing:

[
  {
    "atSource": false,
    "errorType": 0,
    "lineNumber": 0,
    "overlapNumber": 0,
    "errorMessage": "Partition type cannot be empty"
  }
]

For example, if a member name is invalid:

[
  {
    "atSource": false,
    "errorType": 1,
    "lineNumber": 1,
    "overlapNumber": 0,
    "errorMessage": "Parse error : Invalid Member [Newark]"
  }
]
Back to Top